import { BrowserRouter as Router, Route, Routes } from 'react-router-dom';
import { StrictMode } from 'react';
import * as ReactDOM from 'react-dom';
import { Provider } from 'react-redux';

import { store } from '@graphpolaris/shared/data-access/store';
import { GraphPolarisThemeProvider } from '@graphpolaris/shared/data-access/theme';
import App from './app/app';
import LoginPopupComponent from './components/login/popup';
import { CssBaseline } from '@mui/material';

ReactDOM.render(
  <Provider store={store}>
    <GraphPolarisThemeProvider>
      <CssBaseline />
      <Router>
        <Routes>
          {/* Route to auth component in popup */}
          <Route path="/auth" element={<LoginPopupComponent />}></Route>
          {/* App */}
          <Route path="/" element={<App />}></Route>
        </Routes>
      </Router>
    </GraphPolarisThemeProvider>
  </Provider>,
  document.getElementById('root')
);
